import { LightningElement, api } from "lwc";
import Input from "vlocity_cmt/input";
import template from "./fileUpload.html"
import { OmniscriptBaseMixin } from 'vlocity_cmt/omniscriptBaseMixin';

export default class fileUpload extends OmniscriptBaseMixin(Input){

    get value() {
        return this._value;
    }
    @api
    set value(val) {
        console.debug('Setter files', val);
        this._value = val;
    }
    get FileList() {
        return this._FileList;
    }
    @api
    set FileList(val) {
        console.debug('Setter files', val);
        this._FileList = val;
    }

    connectedCallback() {
        console.debug("fileUpload - connected");
    }

    handleInput(evt) {
        console.debug("handleInput", this.inputValue);
    }

    render() {
        return template;
    }
}
