import { LightningElement } from "lwc";
import template from "./myCustomComponentWithNavButtons.html"
import { OmniscriptBaseMixin } from 'vlocity_cmt/omniscriptBaseMixin';
import { dispatchOmniEvent } from 'vlocity_cmt/omniscriptUtils';

export default class myCustomComponentWithNavButtons extends OmniscriptBaseMixin(LightningElement) {
    connectedCallback() {
        console.debug("myCustomComponentWithNavButtons - connected");
    }

    gotoNext() {
        dispatchOmniEvent(this, { moveToStep: 'next' }, 'omniautoadvance');
    }

    gotoPrev() {
        dispatchOmniEvent(this, { moveToStep: this.stepIndex - 1 }, 'omniautoadvance');
    }

    render() {
        return template;
    }
}
